ScriptingControl(1)

NAME
scriptingcontrol - Scripting Control script for the Scripting Service

SYNOPSIS
scriptingcontrol run [Directory] [Input] [Output] [Status] [Environment]
scriptingcontrol cleanup [Directory] [PID] [keeptempdirs]

DESCRIPTION
scriptingcontrol is invoked when a new session is created by the scripting service PE. It takes the input file name and should create an output file of the given name.

ARGUMENTS
The following options are available:

run|cleanup
    run is used when the session is started. cleanup is used to kill all processes and remove the directory.

Directory
    Gives the name of the temporary session directory.

Input
    Gives the name of the input file.

Output
    Gives the name of the output file.

Status
    Gives the name of the status file.

Environment
    Gives the name of the environment file (if available).

PID The process ID (PID) of the session's worker process. All of its children will be found and terminated during clean-up.

keeptempdirs
    Do not delete temporary directory during clean-up.

SEE ALSO
For a detailed introduction to RSerPool, see:
http://duepublico.uni-duisburg-essen.de/servlets/DerivateServlet/Derivate-16326/Dre2006-final.pdf

Thomas Dreibholz's RSerPool Page:
http://tdrwww.iem.uni-due.de/dreibholz/rserpool/